import create from './create'
export default function getCodepenBtn ({
  css,
  htmlTpl,
  jsTpl,
  jsLib,
  cssLib
}) {
  const value = JSON.stringify({
    css: css,
    html: htmlTpl,
    js: jsTpl,
    js_external: jsLib.concat(window.VUEPRESS_PLAYGROUND_JS_LIB).join(';'),
    css_external: cssLib.concat(window.VUEPRESS_PLAYGROUND_CSS_LIB).join(';'),
    layout: window.VUEPRESS_PLAYGROUND_CODEPEN_LAYOUT || 'left',
    js_pre_processor: window.VUEPRESS_PLAYGROUND_CODEPEN_JS_PROCESSOR || 'babel',
    editors: window.VUEPRESS_PLAYGROUND_CODEPEN_EDITORS || '101'
  })
  const form = create('form', {
    className: 'vuepress-playground-codepen',
    target: '_blank',
    action: 'https://codepen.io/pen/define',
    method: 'post',
    __children: [
      {
        tag: 'input',
        attrs: {
          type: 'hidden',
          name: 'data',
          value
        }
      }, {
        tag: 'button',
        attrs: {
          type: 'submit',
          innerHTML: 'Codepen',
          className: 'vuepress-playground-btn-text'
        }
      }
    ]
  })
  return form
}
